std::__detail::_Hashtable_base< _Key, _Value, _ExtractKey, _Equal, _H1, _H2, _Hash, _Traits >(3cxx)

NAME
std::__detail::_Hashtable_base< _Key, _Value, _ExtractKey, _Equal, _H1, _H2, _Hash, _Traits >

SYNOPSIS

Inherits std::__detail::_Hash_code_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, _Traits::__hash_cached::value >, and std::__detail::_Hashtable_ebo_helper< 0, _Equal >.

Inherited by std::_Hashtable< _Key, _Tp, _Hash, _Pred, _Alloc >, std::_Hashtable< _Key, _Tp, _Hash, _Pred, std::allocator< std::pair< const _Key, _Tp > > >, std::_Hashtable< _Value, _Hash, _Pred, _Alloc >, and std::_Hashtable< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits >.

  Public Types

using __constant_iterators = typename __traits_type::__constant_iterators
using __hash_cached = typename __traits_type::__hash_cached
using __hash_code = typename __hash_code_base::__hash_code
using __hash_code_base = _Hash_code_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, __hash_cached::value >
using __ireturn_type = typename std::conditional< __unique_keys::value, std::pair< iterator, bool >, iterator >::type
using __node_type = typename __hash_code_base::__node_type
using __traits_type = _Traits
using __unique_keys = typename __traits_type::__unique_keys
using const_iterator = __detail::_Node_const_iterator< value_type, __constant_iterators::value, __hash_cached::value >
using const_local_iterator = __detail::_Local_const_iterator< key_type, value_type, _ExtractKey, _H1, _H2, _Hash, __constant_iterators::value, __hash_cached::value >
typedef std::ptrdiff_t difference_type
using iterator = __detail::_Node_iterator< value_type, __constant_iterators::value, __hash_cached::value >
typedef _Equal key_equal
typedef _Key key_type
using local_iterator = __detail::_Local_iterator< key_type, value_type, _ExtractKey, _H1, _H2, _Hash, __constant_iterators::value, __hash_cached::value >
typedef std::size_t size_type
typedef _Value value_type

  Protected Member Functions

_Hashtable_base (const _ExtractKey &__ex, const _H1 &__h1, const _H2 &__h2, const _Hash &__hash, const _Equal &__eq)
const _Equal & _M_eq () const
_Equal & _M_eq ()
bool _M_equals (const _Key &__k, __hash_code __c, __node_type *__n) const
void _M_swap (_Hashtable_base &__x)

Detailed Description

  template<typename _Key, typename _Value, typename _ExtractKey, typename _Equal, typename _H1, typename _H2, typename _Hash, typename _Traits>
struct std::__detail::_Hashtable_base< _Key, _Value, _ExtractKey, _Equal, _H1, _H2, _Hash, _Traits >" Primary class template _Hashtable_base.

Helper class adding management of _Equal functor to _Hash_code_base type.

Base class templates are:

•   __detail::_Hash_code_base

•   __detail::_Hashtable_ebo_helper

Definition at line 58 of file hashtable_policy.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.